/* 
 * i-scream central monitoring system
 * http://www.i-scream.org
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.server.filter;

//---IMPORTS---
import uk.org.iscream.cms.util.XMLPacket;

/**
 * An interface to which a Plugin for a Service Check must adhere.
 *
 * @author  $Author: tdb $
 * @version $Id: PluginServiceCheck.java,v 1.8 2004/08/01 10:40:59 tdb Exp $
 */
public interface PluginServiceCheck {

//---STATIC METHODS---

//---CONSTRUCTORS---

//---PUBLIC METHODS---

    /**
     * Performs a check on the service, and returns the
     * XML for the service check
     *
     * @param hostname the hostname to run the checks on
     * @return the XML containing results from the check
     */
    public String runServiceCheck(String hostname);
    
    
    /**
     * Return a String representation of what the plugin service
     * check does (e.g. "Checks the xxx service is running on host")
     *
     * @return the description
     */
    public String getDescription();

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

}
